## com.bbn.openmap.layer.rpf
Class RpfFrame.Compression

    java.lang.Object
      |
      +--com.bbn.openmap.layer.rpf.RpfFrame.Compression

Enclosing class:
  RpfFrame

public static class RpfFrame.Compression
extends java.lang.Object

Field Summary
`int` `algorithm`
`int` `numOffsetRecs`
`int` `numParmOffRecs`

Constructor Summary
`RpfFrame.Compression(BinaryFile binFile)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### algorithm

    public int algorithm

### numOffsetRecs

    public int numOffsetRecs

### numParmOffRecs

    public int numParmOffRecs

Constructor Detail

### RpfFrame.Compression

    public RpfFrame.Compression(BinaryFile binFile)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details